# RateLimit.Burst

Maximum messages permitted per rate-limiting burst.

This parameter applies to imudp: UDP Syslog Input Module.

Name:

  RateLimit.Burst

Scope:

  input

Type:

  integer

Default:

  input=10000

Required?:

  no

Introduced:

  7.3.1

## Description

Specifies the rate-limiting burst in number of messages.

## Input usage

    input(type="imudp" RateLimit.Burst="...")

## See also

See also imudp: UDP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.